System.ServiceModel 4.0.0.0 System.IdentityModel.Tokens.BinaryKeyIdentifierClause To be added.

Represents the key identifier clause in a binary secret security token.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified key.

  A array that represents the key.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified values.

  A array that represents the key.
  true to clone the buffer; otherwise, false.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified values.

  A array that represents the key.
  true to clone the buffer; otherwise, false.
  The "number used once" (nonce) used to derive the key.
  The length of the key to be derived.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this instance of the class can create a security key.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKey To be added.

  Creates a security key.

  The newly created security key.

- Method
  4.0.0.0
  System.Byte[] To be added.

  Gets an array of bytes that represents the key.

  An array of bytes that represents the key.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Compares whether the key of a specified clause matches this instance's key.

  true if there is a match; otherwise, false.